## org.codehaus.groovy.control.messages
Class LocatedMessage

A base class for compilation messages.

author:
  Chris Poirier

version:
  $Id: LocatedMessage.java 6778 2007-07-02 10:40:33Z glaforge $

Field Summary
`CSTNode` | `context`

Constructor Summary
`LocatedMessage(String message, CSTNode context, SourceUnit source)`
`LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)`

Method Summary
`void` | `write(PrintWriter writer, Janitor janitor)`

Constructor Detail

### LocatedMessage

    public LocatedMessage(String message, CSTNode context, SourceUnit source)

### LocatedMessage

    public LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)

Method Detail

### write

    public void write(PrintWriter writer, Janitor janitor)